aboutsummaryrefslogtreecommitdiffstats
path: root/testing/masscan/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-11-02 22:35:21 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-11-20 10:27:28 +0000
commit21c3b4815cc15f9ee3f697f1c411838e24c18e3c (patch)
tree88d1a512906d3c43ac5dc8ca78e5174450cf1606 /testing/masscan/APKBUILD
parentf6558bfa4d736fef2ba35bf3056245454e86f7aa (diff)
downloadaports-21c3b4815cc15f9ee3f697f1c411838e24c18e3c.tar.bz2
aports-21c3b4815cc15f9ee3f697f1c411838e24c18e3c.tar.xz
testing/masscan: new aport
A TCP port scanner https://github.com/robertdavidgraham/masscan
Diffstat (limited to 'testing/masscan/APKBUILD')
-rw-r--r--testing/masscan/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/masscan/APKBUILD b/testing/masscan/APKBUILD
new file mode 100644
index 0000000000..cde934d328
--- /dev/null
+++ b/testing/masscan/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=masscan
+pkgver=1.0
+pkgrel=0
+pkgdesc="A TCP port scanner"
+url="https://github.com/robertdavidgraham/masscan"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="libpcap-dev"
+install=""
+subpackages=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/robertdavidgraham/masscan/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -m755 -D "$_builddir"/bin/$pkgname \
+ "$pkgdir"/usr/bin/$pkgname || return 1
+}
+
+md5sums="56a7c2f433d6704e48b35f6cb9963752 masscan-1.0.tar.gz"
+sha256sums="703f5b61246dd70f71c4145e254a0b9306ffd302b466a2b615ea9aae1db34d43 masscan-1.0.tar.gz"
+sha512sums="ba26690d1a2f68d2651f3800eddef5b1c90d4a260b9c750f069e4e9957212c6dec954544b16fe5540b18783f677b040398d0c2e3c825331e6cc1aaf05bbe9696 masscan-1.0.tar.gz"